The wallet client performs an operation (adding or deleting a card) for a card, and the merchant server needs to receive the notification.
POST
https://${url}/{serviceId}/hms/wallet/v1/notify
Note: The ${url} variable is the address of the merchant server.
The following signature parameters are carried in an HTTP request header:
l HMSSignType: signature mode. The value is SHA256WithRSA.
l HMSSign:XXX key-value pair: XXX indicates the signature value, which is the signed HTTP request body.
| Parameter | Type | Description | Optional or Mandatory |
| eventId | String(32) | Event ID. This parameter can be used for de-duplication. | M |
| modelId | String(32) | This ID must be unique across all models from an issuer. The value contains only alphabetic letters, digits, dots (.), hyphens (-), and underscores (_). | M |
| instanceId | String(32) | This ID must be unique across all instances of an issuer. The value contains only alphabetic letters, digits, dots (.), hyphens (-), and underscores (_). | M |
| eventTime | String(32) | Time when an event occurs. The value is UTC time in yyyy-mm-dd HH:MM:SS format. | M |
| eventType | String(24) | Event type. RECEIVE_CARD: A user claims a pass. DELETE_CARD: A user deletes a pass. | M |
| Parameter | Type | Description | Optional or Mandatory |
| returnCode | String | Result code. The result code 0 indicates success and another result code indicates a failure. | M |
| returnDesc | String | Result description. | M |